Quassel IRC - Feature #581

Handle /msg the same way as /query
02/24/2009 04:12 PM - Safti

Status: Feedback Start date: 02/24/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.10 hour

Target version:
0S: Any

Description

Personally I'd like quassel to handle /msg the same way as it handles /query -- especially: Log the lines | type and/or open a new
query buffer. Should/Could be optional for ppl. that prefere to hide their /msg's ;)

| tried setting an alias from /msg to /query but that doesn't to the trick.

History

#1 - 03/26/2009 11:20 PM - Sputnick
- Status changed from New to Feedback

- Target version deleted (0.4.1)

#2 - 05/27/2009 03:21 PM - valuial

Not sure if it really is the same, but:

/msg somenick sometext
does go to no buffer at all, (at least if there is no buffer for somenick open)

Suggested solution: Send /msg either to the current window/buffer or open a query (buffer) to somenick and log the message there.

imho it is important to report sent messages at least somewhere and not silently send them w/o any feedback to the user.
(Might even be seen as a Bug!)

#3 - 01/20/2018 10:32 AM - genius3000

This is similar to #610 but different enough to leave separate. My comment on that one is basically to see if we can have a new query opened within
‘X' seconds of a /msg to the same target add the /msg to the backlog. I'm in favor of keeping the current behavior of /msg not being logged, with the
aforementioned added behavior.

#4 - 01/21/2018 06:13 AM - genius3000
Perhaps a two-option solution would work to retain current default behavior and allow the requested ability:

1. Log /msg commands
2. Automatically open a query buffer for /msg

The latter option would include the former as a requirement.

This way you can either have queries automatically opened with expected logging or keep that separate but log the message to a auto-hidden buffer
(so you can still /query and see it later) and show the message in the status window.
